# Poco::Data

# template < typename T >

# class LOBStreamBuf

Library: Data
Package: DataCore
Header: Poco/Data/LOBStream.h

## Description

This is the streambuf class used for reading from and writing to a LOB.

## Inheritance

Direct Base Classes: BasicUnbufferedStreamBuf < T, std::char_traits < T >>

All Base Classes: BasicUnbufferedStreamBuf < T, std::char_traits < T >>

## Member Summary

Member Functions: readFromDevice, writeToDevice

## Types Aliases

### BaseType

using BaseType = BasicUnbufferedStreamBuf < T, TraitsType >;

### TraitsType

using TraitsType = std::char_traits < T >;

## Constructors

### LOBStreamBuf

LOBStreamBuf(
LOB < T > & lob
);

Creates LOBStreamBuf.

## Destructor

### ~LOBStreamBuf

~LOBStreamBuf();

Destroys LOBStreamBuf.

## Member Functions

### readFromDevice

typename BaseType::int_type readFromDevice();

### writeToDevice

typename BaseType::int_type writeToDevice(
T c
);